### Function

# Aravis get_device_physical_id

since: 0.2.0

#### Declaration [src]

    const char*
    arv_get_device_physical_id (
      unsigned int index
    )

#### Description [src]

Queries the physical device id corresponding to index such as the MAC address for Ethernet based devices, bus id for PCI, USB or Firewire based devices.

Prior to this call the `arv_update_device_list()` function must be called.

Available since: 0.2.0

#### Parameters

`index`

  Type: `unsigned int`

  Device index.

#### Return value

Type: `const char*`

A physical device id.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.